/**
 */

public class Operator 
{
	public String name;
	public Plan[] plans;
	public int planCount;
	public boolean show;

	public Operator(String str)
	{
		name = str;
		show = true;
		planCount = 0;
		plans = new Plan[1];
	}

	public int AddPlan(String str)
	{
		planCount += 1;
		Plan[] newPlan = new Plan[planCount];
      		for(int i=0; i<planCount-1; i++)
		{
                	newPlan[i] = plans[i];
		}
		newPlan[planCount-1] = new Plan();
		newPlan[planCount-1].name = str;
		plans = newPlan;
		return planCount-1;	
	}
	
	public void SetPlanParam(int nPlan, int nParam, double value)
	{
		plans[nPlan].param[nParam] = value;
	}
}
